minetestserver(6)

NAME
minetestserver - Minetest server

SYNOPSIS
minetestserver [ OPTION ... ]

DESCRIPTION
Minetest is one of the first InfiniMiner/Minecraft(/whatever) inspired games (started October 2010), with a goal of taking the survival multiplayer gameplay to a slightly different direction.

The main design philosophy is to keep it technically simple, stable and portable. It will be kept lightweight enough to run on fairly old hardware.

OPTIONS

--config <value>
    Load configuration from specified file

--disable-unittests
    Disable unit tests

--enable-unittests
    Enable unit tests

--gameid <value>
    Set gameid

--help
    Show allowed options

--version
    Show version information

--logfile <value>
    Set logfile path (debug.txt)

--map-dir <value>
    Same as --world (deprecated)

--port <value>
    Set network port (UDP) to use

--info
    Print more information to console

--verbose
    Print even more information to console

--trace
    Print enormous amounts of information to console

--world <value>
    Set world path

--migrate <value>
    Migrate from current map backend to another. Possible values are sqlite3 and leveldb.

BUGS
Please report all bugs to Perttu Ahola <celeron55@gmail.com>.

AUTHOR

Perttu Ahola <celeron55@gmail.com> and contributors.

This man page was originally written by Juhani Numminen <juhaninumminen0@gmail.com>.

WWW
http://www.minetest.net/

SEE ALSO
minetest(6)